Zone Revision Resource
Description
This resource shows the changes made to a zone, identified by revision ID.
GET /zones/:ZONEID/revisions/:REVID
Query a particular zone for the set of changes made at a particular revision.
GET Parameters
| Name | Required | Type | Description | Default Value |
|---|---|---|---|---|
| :ZONEID | Yes | URL Parameter | The unique numeric ID of the zone. | |
| :REVID | Yes | URL Parameter | The unique numeric ID of the revision. |
GET Response Values
| Name | Type | Description |
|---|---|---|
| revision_resource | JSON String | The revision resource. Should correspond to the GET query used. |
| revision | JSON Number | The numeric ID of the revision resource. Should correspond to the :REVID used in the query. |
| created_at | JSON String | The timestamp of the revision change, in ISO 8601 format (UTC). |
| traffic_config_changed | JSON Boolean | Whether or not the configuration resource was changed. Will always be true for the first revision (creation) of a zone. |
| block_list_changed | JSON Boolean | Whether or not the block list resource was changed. Will always be true for the first revision (creation) of a zone. |
| src_allow_list_changed | JSON Boolean | Whether or not the source allow list resource was changed. Will always be true for the first revision (creation) of a zone. |
| dst_allow_list_changed | JSON Boolean | Whether or not the destination allow list resource was changed. Will always be true for the first revision (creation) of a zone. |
| regex_changed | JSON Boolean | Whether or not the regex resource was changed. Will always be true for the first revision (creation) of a zone. |
| configuration_resource | JSON String | The particular configuration resource used at this revision. |
| rollback_configuration_resource | JSON String | The rollback configuration resource for this revision. |
| user | JSON String | The username of the user who made the changes at this particular revision. |
Example GET Request
GET /zones/2031/revisions/1
Example GET Response
{
"revision_resource": "/zones/2031/revisions/1",
"revision": 1,
"created_at": "2017-04-10T20:44:58Z",
"traffic_config_changed": true,
"block_list_changed": true,
"src_allow_list_changed": true,
"dst_allow_list_changed": true,
"regex_changed": true,
"configuration_resource": "/zones/2031/revisions/1/configurations",
"rollback_configuration_resource": "/zones/2031/revisions/1/configurations/rollback",
"user": "nmanners"
}